Get comment
curl --request GET \
--url https://api.konbiniapi.com/v1/reddit/posts/{postId}/comments/{commentId} \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"id": "https://www.reddit.com/r/programming/comments/post_1/launch_day/comment_1/",
"content": "First!",
"likeCount": 93210,
"url": "https://www.reddit.com/r/programming/comments/post_1/launch_day/comment_1/",
"entityId": "comment_1",
"published": "2026-02-27T20:37:38.000Z",
"isPinned": false,
"isSponsored": false,
"hasReplies": true,
"voteCount": 9,
"attributedTo": {
"id": "https://www.reddit.com/user/spez/",
"url": "https://www.reddit.com/user/spez/",
"entityId": "t2_4x25quk",
"preferredUsername": "spez",
"name": "Steve Huffman",
"icon": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
},
"role": "admin",
"summary": "Reddit CEO",
"published": "2005-12-08T07:46:43.000Z",
"isVerified": true,
"isEmployee": true,
"isMod": false,
"isPremium": false,
"isSearchable": true,
"isFollowable": true,
"isAdult": false,
"score": 999999,
"postScore": 555555,
"commentScore": 444444,
"awarderScore": 123,
"awardeeScore": 321,
"status": "active",
"image": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
}
},
"inReplyTo": "https://www.reddit.com/r/programming/comments/post_1/launch_day/",
"image": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
},
"attachment": [
{
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
}
]
}
}Posts
Get comment
Returns a public Reddit comment with author info, scores, reply presence, and media when available.
GET
/
v1
/
reddit
/
posts
/
{postId}
/
comments
/
{commentId}
Get comment
curl --request GET \
--url https://api.konbiniapi.com/v1/reddit/posts/{postId}/comments/{commentId} \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"id": "https://www.reddit.com/r/programming/comments/post_1/launch_day/comment_1/",
"content": "First!",
"likeCount": 93210,
"url": "https://www.reddit.com/r/programming/comments/post_1/launch_day/comment_1/",
"entityId": "comment_1",
"published": "2026-02-27T20:37:38.000Z",
"isPinned": false,
"isSponsored": false,
"hasReplies": true,
"voteCount": 9,
"attributedTo": {
"id": "https://www.reddit.com/user/spez/",
"url": "https://www.reddit.com/user/spez/",
"entityId": "t2_4x25quk",
"preferredUsername": "spez",
"name": "Steve Huffman",
"icon": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
},
"role": "admin",
"summary": "Reddit CEO",
"published": "2005-12-08T07:46:43.000Z",
"isVerified": true,
"isEmployee": true,
"isMod": false,
"isPremium": false,
"isSearchable": true,
"isFollowable": true,
"isAdult": false,
"score": 999999,
"postScore": 555555,
"commentScore": 444444,
"awarderScore": 123,
"awardeeScore": 321,
"status": "active",
"image": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
}
},
"inReplyTo": "https://www.reddit.com/r/programming/comments/post_1/launch_day/",
"image": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
},
"attachment": [
{
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.konbiniapi.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Path Parameters
Reddit post ID (e.g. 1tgywrw or t3_1tgywrw)
Example:
"1tgywrw"
Reddit comment ID (e.g. okpklb6 or t1_okpklb6)
Example:
"okpklb6"
Response
Returns the Reddit comment
Show child attributes
Show child attributes
⌘I